com.sun.source.doctree

## Interface ParamTree

All Superinterfaces:
  BlockTagTree, DocTree

    @Exported
    public interface ParamTree
    extends BlockTagTree

A tree node for an @param block tag.

@param parameter-name description

Since:
  1.8

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

`DocTree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends DocTree>` `getDescription()`
`IdentifierTree` `getName()`
`boolean` `isTypeParameter()`

### Methods inherited from interface com.sun.source.doctree.BlockTagTree

`getTagName`

### Methods inherited from interface com.sun.source.doctree.DocTree

`accept, getKind`

### Method Detail

#### isTypeParameter

    boolean isTypeParameter()

#### getName

    IdentifierTree getName()

#### getDescription

    List<? extends DocTree> getDescription()